Package org.opensaml.xacml.policy

# Interface VariableReferenceType

All Superinterfaces:
  `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `VariableReferenceTypeImpl`

public interface VariableReferenceType extends ExpressionType
XACML VariableReference.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML20`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME_XACML20`
QName of the XSI type.
`static final String`
`VARIABLE_ID_ATTRIB_NAME`
Name of VariableId attribute.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<ExpressionType>`
`getExpressions()`
Gets the expressions for this definition.
`String`
`getVariableId()`
Gets the ID of the referenced variable.
`void`
`setVariableId(String id)`
Sets the ID of the referenced variable.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME_XACML20

static final QName DEFAULT_ELEMENT_NAME_XACML20
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME_XACML20

static final QName TYPE_NAME_XACML20
QName of the XSI type.

### VARIABLE_ID_ATTRIB_NAME

static final String VARIABLE_ID_ATTRIB_NAME
Name of VariableId attribute.

See Also:
  - Constant Field Values

## Method Details

### getExpressions

List<ExpressionType> getExpressions()
Gets the expressions for this definition.

Returns:
  expressions for this definition

### getVariableId

String getVariableId()
Gets the ID of the referenced variable.

Returns:
  ID of the referenced variable

### setVariableId

void setVariableId(String id)
Sets the ID of the referenced variable.

Parameters:
  `id` - ID of the referenced variable